libgutenprintui2 API Reference 5.3.6-2026-02-01T02-18-9b0bdf87

Data Structures | Macros | Typedefs | Functions
gammacurve.h File Reference
`#include <gdk/gdk.h>`
`#include <gtk/gtkvbox.h>`

## Data Structures
struct | _StpuiGammaCurve
struct | _StpuiGammaCurveClass

## Macros
#define | STPUI_TYPE_GAMMA_CURVE (stpui_gamma_curve_get_type ())
#define | STPUI_GAMMA_CURVE(obj)
#define | STPUI_GAMMA_CURVE_CLASS(klass)
#define | STPUI_IS_GAMMA_CURVE(obj)
#define | STPUI_IS_GAMMA_CURVE_CLASS(klass)
#define | STPUI_GAMMA_CURVE_GET_CLASS(obj)

## Typedefs
typedef struct _StpuiGammaCurve | StpuiGammaCurve
typedef struct _StpuiGammaCurveClass | StpuiGammaCurveClass

## Functions
GType | stpui_gamma_curve_get_type (void) G_GNUC_CONST
GtkWidget * | stpui_gamma_curve_new (void)

## Macro Definition Documentation

## ◆ STPUI_GAMMA_CURVE

#define STPUI_GAMMA_CURVE | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurve))
StpuiGammaCurve
struct _StpuiGammaCurve StpuiGammaCurve
Definition gammacurve.h:45
STPUI_TYPE_GAMMA_CURVE
#define STPUI_TYPE_GAMMA_CURVE
Definition gammacurve.h:38

## ◆ STPUI_GAMMA_CURVE_CLASS

#define STPUI_GAMMA_CURVE_CLASS | ( |  | klass | ) |

Value:
(G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurveClass))
StpuiGammaCurveClass
struct _StpuiGammaCurveClass StpuiGammaCurveClass
Definition gammacurve.h:46

## ◆ STPUI_GAMMA_CURVE_GET_CLASS

#define STPUI_GAMMA_CURVE_GET_CLASS | ( |  | obj | ) |

Value:
(G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_GAMMA_CURVE, StpuiGammaCurveClass))

## ◆ STPUI_IS_GAMMA_CURVE

#define STPUI_IS_GAMMA_CURVE | ( |  | obj | ) |

Value:
(G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_GAMMA_CURVE))

## ◆ STPUI_IS_GAMMA_CURVE_CLASS

#define STPUI_IS_GAMMA_CURVE_CLASS | ( |  | klass | ) |

Value:
(G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_GAMMA_CURVE))

## ◆ STPUI_TYPE_GAMMA_CURVE

#define STPUI_TYPE_GAMMA_CURVE (stpui_gamma_curve_get_type ())

## Typedef Documentation

## ◆ StpuiGammaCurve

typedef struct _StpuiGammaCurve StpuiGammaCurve

## ◆ StpuiGammaCurveClass

typedef struct _StpuiGammaCurveClass StpuiGammaCurveClass

## Function Documentation

## ◆ stpui_gamma_curve_get_type()

GType stpui_gamma_curve_get_type | ( | void |  | ) |

## ◆ stpui_gamma_curve_new()

GtkWidget * stpui_gamma_curve_new | ( | void |  | ) |